Skip to content

Lookup

Get merchant information based on a short code.

GET /v1/merchant/admin/lookup/shortcode/{shortCode}

Sample

json
GET /v1/merchant/admin/lookup/shortcode/123

Auth: API key (VantagePayAdminClient).

Parameters

NameInRequiredDescription
shortCodepathYesA globally unique internal merchant reference.

Responses

StatusDescription
200The request was successful and the merchant information was returned.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultobjectNoFull merchant profile, extending ZGA.Core.Models.Merchants.BasicMerchant with trading details, linked accounts, terminals, employees, addresses, and KYB documentation.
json
{
  "success": true,
  "result": {
    "createdDate": "string",
    "loginCredentials": {},
    "tradingName": "string",
    "franchiseName": "string",
    "capturedBy": "string",
    "capturedFrom": "string",
    "industry": "None",
    "phoneNumber": "string",
    "notificationEmailAddress": "string",
    "notificationMobileNumber": "string",
    "city": "string",
    "state": "string",
    "languageIsoCode": "None",
    "webSiteUrl": "string",
    "isRegistrationComplete": true,
    "isEmailVerified": true,
    "isMobileNumberVerified": true,
    "vCard": "string",
    "logoImage": "string",
    "taxNumber": "string",
    "companyRegistrationNumber": "string",
    "companyRegistrationDate": "string",
    "adminPasscode": "string",
    "logoUrl": "string",
    "hostedPaymentUrl": "string",
    "hostedPaymentOptions": {},
    "posOptions": {},
    "business": {},
    "addresses": [],
    "employees": [],
    "terminals": [],
    "files": [],
    "notificationSettings": [],
    "attributes": [],
    "bankAccounts": [],
    "mobileWallets": [],
    "operatingTimes": [],
    "devices": [],
    "qrCodes": [],
    "assignedProductReferences": [],
    "reference": "00000000-0000-0000-0000-000000000000",
    "userReference": "00000000-0000-0000-0000-000000000000",
    "yourReference": "string",
    "source": "string",
    "name": "string",
    "categoryCode": 0,
    "category": "string",
    "emailAddress": "string",
    "mobileNumber": "string",
    "countryIsoCode": "None",
    "currency": "None",
    "kybStatusSummary": "Unverified",
    "shortCode": 0,
    "isActive": true
  }
}

Code samples

WARNING

The JavaScript SDK does not cover admin APIs - use the .NET SDK.

csharp
var merchant = await adminClient.Merchants.GetMerchantByShortCodeAsync(12345);

Get merchant information based on an attribute.

GET /v1/merchant/admin/lookup/attribute/{attribute}/{attributeValue}

Sample

json
GET /v1/merchant/admin/lookup/attribute/3/123456789

Auth: API key (VantagePayAdminClient).

Parameters

NameInRequiredDescription
attributepathYesThe attribute to lookup.
attributeValuepathYesThe attribute value to match.

Responses

StatusDescription
200The request was successful and the merchant information was returned.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultobjectNoFull merchant profile, extending ZGA.Core.Models.Merchants.BasicMerchant with trading details, linked accounts, terminals, employees, addresses, and KYB documentation.
json
{
  "success": true,
  "result": {
    "createdDate": "string",
    "loginCredentials": {},
    "tradingName": "string",
    "franchiseName": "string",
    "capturedBy": "string",
    "capturedFrom": "string",
    "industry": "None",
    "phoneNumber": "string",
    "notificationEmailAddress": "string",
    "notificationMobileNumber": "string",
    "city": "string",
    "state": "string",
    "languageIsoCode": "None",
    "webSiteUrl": "string",
    "isRegistrationComplete": true,
    "isEmailVerified": true,
    "isMobileNumberVerified": true,
    "vCard": "string",
    "logoImage": "string",
    "taxNumber": "string",
    "companyRegistrationNumber": "string",
    "companyRegistrationDate": "string",
    "adminPasscode": "string",
    "logoUrl": "string",
    "hostedPaymentUrl": "string",
    "hostedPaymentOptions": {},
    "posOptions": {},
    "business": {},
    "addresses": [],
    "employees": [],
    "terminals": [],
    "files": [],
    "notificationSettings": [],
    "attributes": [],
    "bankAccounts": [],
    "mobileWallets": [],
    "operatingTimes": [],
    "devices": [],
    "qrCodes": [],
    "assignedProductReferences": [],
    "reference": "00000000-0000-0000-0000-000000000000",
    "userReference": "00000000-0000-0000-0000-000000000000",
    "yourReference": "string",
    "source": "string",
    "name": "string",
    "categoryCode": 0,
    "category": "string",
    "emailAddress": "string",
    "mobileNumber": "string",
    "countryIsoCode": "None",
    "currency": "None",
    "kybStatusSummary": "Unverified",
    "shortCode": 0,
    "isActive": true
  }
}

Code samples

WARNING

The JavaScript SDK does not cover admin APIs - use the .NET SDK.

csharp
using VantagePay.Models.Merchants;

var merchant = await adminClient.Merchants.GetMerchantByAttributeAsync(MerchantAttribute.GhIPSSMerchantId, "GH00012345");

Get merchant information based on a terminal reference.

GET /v1/merchant/admin/lookup/terminal/{terminalReference}/{merchantSource}

Sample

json
GET /v1/merchant/admin/lookup/terminal/c5564d4a-cbd4-4b8d-a411-64d010678f8e/zga

Auth: API key (VantagePayAdminClient).

Parameters

NameInRequiredDescription
terminalReferencepathYesA globally unique internal terminal reference (UUID) or an external terminal reference.
merchantSourcepathYesA unique reference to the partner associated with the merchant.

Responses

StatusDescription
200The request was successful and the merchant information was returned.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultobjectNoFull merchant profile, extending ZGA.Core.Models.Merchants.BasicMerchant with trading details, linked accounts, terminals, employees, addresses, and KYB documentation.
json
{
  "success": true,
  "result": {
    "createdDate": "string",
    "loginCredentials": {},
    "tradingName": "string",
    "franchiseName": "string",
    "capturedBy": "string",
    "capturedFrom": "string",
    "industry": "None",
    "phoneNumber": "string",
    "notificationEmailAddress": "string",
    "notificationMobileNumber": "string",
    "city": "string",
    "state": "string",
    "languageIsoCode": "None",
    "webSiteUrl": "string",
    "isRegistrationComplete": true,
    "isEmailVerified": true,
    "isMobileNumberVerified": true,
    "vCard": "string",
    "logoImage": "string",
    "taxNumber": "string",
    "companyRegistrationNumber": "string",
    "companyRegistrationDate": "string",
    "adminPasscode": "string",
    "logoUrl": "string",
    "hostedPaymentUrl": "string",
    "hostedPaymentOptions": {},
    "posOptions": {},
    "business": {},
    "addresses": [],
    "employees": [],
    "terminals": [],
    "files": [],
    "notificationSettings": [],
    "attributes": [],
    "bankAccounts": [],
    "mobileWallets": [],
    "operatingTimes": [],
    "devices": [],
    "qrCodes": [],
    "assignedProductReferences": [],
    "reference": "00000000-0000-0000-0000-000000000000",
    "userReference": "00000000-0000-0000-0000-000000000000",
    "yourReference": "string",
    "source": "string",
    "name": "string",
    "categoryCode": 0,
    "category": "string",
    "emailAddress": "string",
    "mobileNumber": "string",
    "countryIsoCode": "None",
    "currency": "None",
    "kybStatusSummary": "Unverified",
    "shortCode": 0,
    "isActive": true
  }
}

Code samples

WARNING

The JavaScript SDK does not cover admin APIs - use the .NET SDK.

csharp
var merchant = await adminClient.Merchants.GetMerchantByTerminalReferenceAsync("TERM-01", "HUB");

Get merchant information based on a short code.

GET /v1/merchant/admin/lookup/wallet/{msisdn}

Sample

json
GET /v1/merchant/admin/lookup/wallet/23387766555

Auth: API key (VantagePayAdminClient).

Parameters

NameInRequiredDescription
msisdnpathYesThe MSISDN to search for merchant accounts.

Responses

StatusDescription
200The request was successful and the merchant information was returned.
400The request failed validation, the error object will contain further information.
401The authorization information provided is not valid, authentication is required to access this resource.
403The authorization header does not contain the correct type or you do not have access to this resource.
404The request was successful but does not return any results.
422The request payload is invalid, the error object will contain further information.
429Too many requests are being sent concurrently or rate limiting has taken effect.
500An unexpected error occurred, the error object will contain further information.

Response body

FieldTypeRequiredDescription
successbooleanNoGets a value indicating whether the operation was successful.
resultarray<object>?NoGets the response payload.
json
{
  "success": true,
  "result": [
    {}
  ]
}

Code samples

WARNING

The JavaScript SDK does not cover admin APIs - use the .NET SDK.

csharp
var merchants = await adminClient.Merchants.GetMerchantsByMobileWalletNumberAsync("233555666112");

Payments for Africa